Php photo gallery TWG | JFUploader | TWG Flash upload | WFU | Forum

Get help for TinyWebGallery, the best image gallery. The forum is also home for the Joomla JFUploader, TWG Flash Uploader and the Wordpress flash uploader.
It is currently 20. Oct 2017, 08:54

All times are UTC + 1 hour [ DST ]




Post new topic Reply to topic  [ 8 posts ] 
Author Message
PostPosted: 7. Mar 2012, 12:30 
Offline

Joined: 7. Mar 2012, 12:22
Posts: 3
Hello

Just updated JFU from 2.14.3 to the newest 2.16 by installing the component via the Joomla Backend (Joomla 1.5.25).

After installation process no errors were shown.
Next I tried to access the JFU backend component section, but I retrieve an error message:

Code:
03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 62: Undefined variable: my

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 62: Trying to get property of non-object

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 65: Undefined variable: my

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 65: Trying to get property of non-object

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 68: Undefined variable: my

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 68: Trying to get property of non-object

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 71: Undefined variable: my

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 71: Trying to get property of non-object

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 74: Undefined variable: my

03.07.2012 11:25:06 - ERROR 8 in ents\com_jfuploader\admin.jfuploader.php, line 74: Trying to get property of non-object

03.07.2012 11:25:06 - ERROR 2 in com_jfuploader\admin.jfuploader.html.php, line 55: Missing argument 4 for HTML_joomla_flash_uploader::showUpload(), called in C:\Inetpub\vhosts\ljw-saar.de\httpdocs\LJW-Saar\administrator\components\com_jfuploader\admin.jfuploader.php on line 182 and defined

03.07.2012 11:25:06 - ERROR 8 in com_jfuploader\admin.jfuploader.html.php, line 77: Undefined variable: jfu_config

03.07.2012 11:25:06 - ERROR 8 in com_jfuploader\admin.jfuploader.html.php, line 146: Undefined variable: jfu_config



So what's wrong and can you help me?

Note: I just installed the component, without the two plugins.
Note2: Frontend JFU seems to work


Top
 Profile  
 
PostPosted: 7. Mar 2012, 16:20 
Offline
Site Admin
User avatar

Joined: 1. Aug 2005, 12:53
Posts: 10497
The error messages only appear in the log file - right?

I have fixed this and updated the download. It was nothing major because it was only to show/hide the menu items when allowed (before it was always allowed).

So please update with the 2.16 you can download now ;).

Best, Michael


Top
 Profile  
 
PostPosted: 7. Mar 2012, 17:39 
Offline

Joined: 7. Mar 2012, 12:22
Posts: 3
no it wasn't in the log but by clicking in the Admin panel on each of the JFU component menue items.

I updated your new version and it works well, thanks :-)


Top
 Profile  
 
PostPosted: 7. Mar 2012, 18:18 
Offline
Site Admin
User avatar

Joined: 1. Aug 2005, 12:53
Posts: 10497
o.k.

Is this a production or a development server?

Best, Michael


Top
 Profile  
 
PostPosted: 7. Mar 2012, 19:19 
Offline

Joined: 7. Mar 2012, 12:22
Posts: 3
Productive but still in developement - why?


Top
 Profile  
 
PostPosted: 7. Mar 2012, 20:57 
Offline
Site Admin
User avatar

Joined: 1. Aug 2005, 12:53
Posts: 10497
Because normally this errors are not shown in the site but in the log file.

Best, Michael


Top
 Profile  
 
PostPosted: 7. Mar 2012, 22:22 
Offline

Joined: 19. Dec 2011, 20:13
Posts: 5
I'm just doing research how to update the JFUploader plugin from 2.14.3 to 2.16, using Joomla 1.5.25. But my downloaded file (by http://www.tinywebgallery.com/en/tfu/web_jfu.php) is named plg_jfuploader_216_J16.zip !? so maybe not for J15 .. I also downloaded the "real" J16 to compare these ZIPs and .. they are the same !? Does this mean that the J16 version is also for J15 ? In that case you should rename the ZIP properly, i suggest. Until then i found no reason to "risk" an installment.

The readme.txt of both ZIPs state:
Web Server: Joomla 1.6.x, php > 4.x with gdlib > 2.0
This should be clearly for J16, but in the J15 component ZIP (which i also downloaded for comparison) the /admin/readme.txt states:
Web Server: Joomla 1.0.x, php > 4.x with gdlib > 2.0
so .. maybe your documentation lacks some, anyhow ..

Could anyone point out a proper plugin version for me?
And do i need both the component and plugin? I can find no clear info about this, eg. on the download page ..

roelof


Top
 Profile  
 
PostPosted: 7. Mar 2012, 22:37 
Offline
Site Admin
User avatar

Joined: 1. Aug 2005, 12:53
Posts: 10497
Hi,

The download link was mapped to the wrong version. Now it points to the plugin for 1.5 again.

And the plugin needs the component installed. 99% of the code comes from the component. The readme and the installation message does tell you this.

Best, Michael


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 8 posts ] 

All times are UTC + 1 hour [ DST ]


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
cron
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO